FastStringPrintWriter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class FastStringPrintWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.codehaus.groovy.grails.web.util.GrailsPrintWriterAdapter
                  org.codehaus.groovy.grails.web.pages.FastStringPrintWriter

    public class FastStringPrintWriter
    extends GrailsPrintWriterAdapter

Fast in-memory PrintWriter implementation.

Authors:
  Lari Hotari

Since:
  2.0

Field Summary

Fields inherited from class GrailsPrintWriterAdapter
target

Constructor Summary
`FastStringPrintWriter()`
`FastStringPrintWriter(int initialChunkSize)`
`protected FastStringPrintWriter(java.lang.Object o)`

Method Summary
`StreamCharBuffer` | `getBuffer()`
`java.io.Reader` | `getReader()`
`java.lang.String` | `getValue()`
`static FastStringPrintWriter` | `newInstance()`
`static FastStringPrintWriter` | `newInstance(int initialChunkSize)`
`java.lang.String` | `toString()`

Methods inherited from class GrailsPrintWriterAdapter
append, append, append, append, append, checkError, close, flush, getOut, getTarget, handleIOException, isAllowUnwrappingOut, isTrouble, isUsed, leftShift, leftShift, leftShift, markUsed, newInstance, plus, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setError, setTarget, setUsed, unwrap, write, write, write, write, write, write, write

Methods inherited from class java.io.PrintWriter
java.io.PrintWriter#checkError(), java.io.PrintWriter#printf(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#printf(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#println(double), java.io.PrintWriter#println([C), java.io.PrintWriter#println(java.lang.String), java.io.PrintWriter#println(java.lang.Object), java.io.PrintWriter#println(boolean), java.io.PrintWriter#println(), java.io.PrintWriter#println(int), java.io.PrintWriter#println(long), java.io.PrintWriter#println(float), java.io.PrintWriter#println(char), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(char), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#format(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#format(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#write([C), java.io.PrintWriter#write(java.lang.String, int, int), java.io.PrintWriter#write(java.lang.String), java.io.PrintWriter#write(int), java.io.PrintWriter#write([C, int, int), java.io.PrintWriter#print(double), java.io.PrintWriter#print(java.lang.Object), java.io.PrintWriter#print(long), java.io.PrintWriter#print(float), java.io.PrintWriter#print([C), java.io.PrintWriter#print(java.lang.String), java.io.PrintWriter#print(boolean), java.io.PrintWriter#print(char), java.io.PrintWriter#print(int), java.io.PrintWriter#flush(), java.io.PrintWriter#close(), java.io.PrintWriter#wait(long, int), java.io.PrintWriter#wait(long), java.io.PrintWriter#wait(), java.io.PrintWriter#equals(java.lang.Object), java.io.PrintWriter#toString(), java.io.PrintWriter#hashCode(), java.io.PrintWriter#getClass(), java.io.PrintWriter#notify(), java.io.PrintWriter#notifyAll()

Constructor Detail

### FastStringPrintWriter

    public FastStringPrintWriter()

### FastStringPrintWriter

    public FastStringPrintWriter(int initialChunkSize)

### FastStringPrintWriter

    protected FastStringPrintWriter(java.lang.Object o)

Method Detail

### getBuffer

    public StreamCharBuffer getBuffer()

### getReader

    public java.io.Reader getReader()

### getValue

    public java.lang.String getValue()

### newInstance

    public static FastStringPrintWriter newInstance()

### newInstance

    public static FastStringPrintWriter newInstance(int initialChunkSize)

### toString

    @java.lang.Override
    public java.lang.String toString()

Groovy Documentation